Bug 149545 - No indication of unsaved change to config file
No indication of unsaved change to config file
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-23 16:31 EST by Paul Kennedy
Modified: 2015-04-19 20:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-14 13:44:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2005-02-23 16:31:41 EST
Description of problem:

The GUI does not indicate that the configuration file has been changed
(via the GUI) but not saved. For example, there is no indication--such
as an asterisk on the Cluster Management tab or elsewhere on the GUI
window--that indicates that a change has been made to configuration
file, but not yet saved. Similarly, when a user quits the GUI, there
is no dialog box asking whether the user wants to save the changes
made to the configuration file.

Version-Release number of selected component (if applicable):
system-config-cluster-0.9.5-1.0

Steps to Reproduce:
1. Make a change to the configuration.
2. Exit the GUI.

  
Actual results:
After step 1, there is no indication that changes have not yet been
saved. After step 2, there is no dialog box asking if the user is
certain about closing without saving, and warning that changes will be
lost if they are not saved.

Expected results:
After step 1, expected an indication that the configuration has been
changed, but not yet saved. After step 2, expected a dialog box
presenting an admonition about quitting without saving the
configuration file.
Comment 1 Jim Parsons 2005-03-28 06:30:58 EST
Now the GUI maintains the name of the file currently being edited in a text
field at the top of the config tab. If the file has been modified, then
'<modified>' appears at the end of the filename. Also, a warning dialog now
appears if user quits with a modified but unsaved cfg file
Comment 2 Corey Marthaler 2005-04-14 13:44:09 EDT
fix verified.

Note You need to log in before you can comment on or make changes to this bug.